import {responseLists, db} from './responses-entrypoint-old'
import {prepareGenerator} from './generator-entrypoint-old'

Promise.all([prepareGenerator(db), responseLists]).then(([gen, res]) => {
	res.addSelectionListener((ev) => {
		gen.setActiveResult(ev.detail, true)
	})
	gen.addRerollListener((ev) => {
		for (const result of ev.detail.changedResults) {
			res.setActiveElementForTable(result)
		}
	})
	console.info("connected generator and response list")
}).catch((e) => {
	console.error(e)
})

function updateHash(): void {
	if (location.hash === "" || location.hash === "#" || !location.hash) {
		location.replace("#generator")
	}
}

window.addEventListener("hashchange", updateHash)
updateHash()
